templates:
- github
- autotools
- base

catalog:
  title: Open Lighting Architecture

variables:
  description: Open Lighting Architecture

  github.user: OpenLightingProject
  github.project: ola

  branches:
  - master
  tags:
  - 0.10.0

  extra-provides:
  - nature: freestyle
    target: ola

  platform-requires:
    ubuntu:
      packages:
      - bison
      - flex
      - g++
      - libavahi-client-dev
      - libcppunit-dev
      - libftdi-dev
      - liblo-dev
      - libmicrohttpd-dev
      - libncurses5-dev
      - libusb-1.0-0-dev
      - uuid-dev
      - zlib1g-dev
      - protobuf-compiler
      - libprotobuf-dev
      - libprotoc-dev
      - python-protobuf
      - python-numpy
      - '@{next-value|[]}'

  bootstrap.command: |
    autoreconf -i

  configure.prefix: ${toolkit.dir}/opt/ola
  configure.enable:
  - rdm-tests
  - python-libs

  post-build-hook/unix:
    ln -sf ${toolkit.dir}/opt/ola/bin/olad ${toolkit.dir}/bin/
